### Method

# Fwupd Request set_kind

since: 1.6.2

#### Declaration [src]

    void
    fwupd_request_set_kind (
      FwupdRequest* self,
      FwupdRequestKind kind
    )

#### Description [src]

Sets what the request is currently doing.

Available since: 1.6.2

Sets property | `Fwupd.Request:kind`

#### Parameters

`kind`

  Type: `FwupdRequestKind`

  The kind value, e.g. `FWUPD_STATUS_REQUEST_WRITE`.